Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class MondrianXmlaSourceWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.MondrianXmlaSourceWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class MondrianXmlaSourceWrapper

extends BaseDTO

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`MondrianXmlaSourceWrapper(MondrianXMLADefinition mondrianXmlaDefinition)` MondrianXmlaSourceWrapper provides wrapper for the EditMondrianXmlaSourceAction

Method Summary
`java.util.List` | `getAllMondrianConnections()`
`java.lang.String` | `getConnectionUri()`
`MondrianXMLADefinition` | `getMondrianXmlaDefinition()`
`boolean` | `isConnectionInvalid()`
`void` | `setAllMondrianConnections(java.util.List allMondrianConnections)`
`void` | `setConnectionInvalid(boolean connectionInvalid)`
`void` | `setConnectionUri(java.lang.String connectionUri)`
`void` | `setMondrianXmlaDefinition(MondrianXMLADefinition mondrianXmlaDefinition)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianXmlaSourceWrapper

    public MondrianXmlaSourceWrapper(MondrianXMLADefinition mondrianXmlaDefinition)

  MondrianXmlaSourceWrapper provides wrapper for the EditMondrianXmlaSourceAction

  Parameters:
    `mondrianXmlaDefinition` -

Method Detail

### getMondrianXmlaDefinition

    public MondrianXMLADefinition getMondrianXmlaDefinition()

### setMondrianXmlaDefinition

    public void setMondrianXmlaDefinition(MondrianXMLADefinition mondrianXmlaDefinition)

### getConnectionUri

    public java.lang.String getConnectionUri()

### setConnectionUri

    public void setConnectionUri(java.lang.String connectionUri)

### isConnectionInvalid

    public boolean isConnectionInvalid()

### setConnectionInvalid

    public void setConnectionInvalid(boolean connectionInvalid)

### getAllMondrianConnections

    public java.util.List getAllMondrianConnections()

### setAllMondrianConnections

    public void setAllMondrianConnections(java.util.List allMondrianConnections)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.